package net.asukaze.cassava.core.util;

import java.util.regex.Pattern;

public class ValueUtil {
	public static Pattern NUMBER_PATTERN = Pattern
			.compile("^\\s*[+-]?\\d*[\\d\\.]\\d*(?:[Ee][+-]?\\d*)?\\s*$");

	public static boolean isNumber(String str) {
		return NUMBER_PATTERN.matcher(str).matches();
	}

	/**
	 * double l𕶎ɕϊ܂B<br>
	 * l̏ꍇAu.0v͏o͂܂B
	 * 
	 * @param value
	 *            ϊ double l
	 * @return ϊ̕
	 * @see net.asukaze.cassava.macro.Environment#toString(Object)
	 */
	public static String toString(double value) {
		String result = Double.toString(value);
		if (result.equals("-0.0")) {
			return "0";
		} else if (result.endsWith(".0")) {
			return result.substring(0, result.length() - 2);
		} else {
			return result;
		}
	}
}
