package net.asukaze.cassava.encoding.command;

import net.asukaze.cassava.core.model.ICassavaTableModel;
import net.asukaze.cassava.core.model.Selection;

public class TransformAHCommand extends TransformCommand {
	public TransformAHCommand(ICassavaTableModel model, Selection selection) {
		super(model, selection);
	}

	@Override
	protected String transform(String value) {
		StringBuilder sb = new StringBuilder();
		for (char c : value.toCharArray()) {
			if (c == '@') {
				c = ' ';
			} else if (c == 'f') {
				c = '\'';
			} else if (c == 'h') {
				c = '\"';
			} else if (c == '') {
				c = '\\';
			} else if (c >= 'I' && c <= '`') {
				c -= ('`' - 'A');
			}
			sb.append(c);
		}
		return sb.toString();
	}
}
