package net.asukaze.cassava.macro.value;

import net.asukaze.cassava.macro.Environment;

public class CellReference implements Reference {
	private int x;
	private int y;

	public CellReference(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public Object get(Environment environment) {
		return environment.getValueAt0(y - 1, x - 1);
	}

  public String getString(Environment environment) {
    return environment.getStringValueAt0(y - 1, x - 1);
  }
	 
	public void set(Object value, Environment environment) {
		environment.setValueAt0(environment.toString(value), y - 1, x - 1);
	}
}
