package net.asukaze.cassava.encoding.command;

import net.asukaze.cassava.core.command.CommandException;
import net.asukaze.cassava.core.model.ICassavaTableModel;
import net.asukaze.cassava.core.model.Selection;

public class TransformCUCommand extends TransformCommand {
	public TransformCUCommand(ICassavaTableModel model, Selection selection) {
		super(model, selection);
	}

	@Override
	protected String transform(String value) throws CommandException {
		return value.toUpperCase();
	}
}
