package net.asukaze.cassava.ui.action;

import java.util.Arrays;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.command.DeleteColumnCommand;

public class DeleteColumnAction extends Action {
	public DeleteColumnAction() {
		setHideEditor(true);
	}

	@Override
	public Command run() throws Exception {
		int[] selection = getCassavaGrid().getSelectedColumns();
		if (selection.length > 0) {
			Arrays.sort(selection);
			return new DeleteColumnCommand(getTableModel(), getViewModel(),
					selection[0], selection[selection.length - 1]);
		}else{
			return null;
		}
	}
}
