package net.asukaze.cassava.ui.action;

import javax.swing.ListSelectionModel;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.command.InsertRowCommand;

public class InsertRowAction extends Action {
	public InsertRowAction() {
		setHideEditor(true);
	}

	@Override
	public Command run() throws Exception {
		ListSelectionModel selection = getCassavaGrid().getSelectionModel();
		int top = selection.getMinSelectionIndex();
		int bottom = selection.getMaxSelectionIndex();
		if (top >= 0 && bottom >= 0) {
			return new InsertRowCommand(getTableModel(), getViewModel(), top,
					bottom);
		} else {
			return null;
		}
	}
}
